<?php
if ( !defined( 'ALLOW' ) ) { die( 'No direct access' ); }
require_once("config.php");	
class Cdb {
	
	// کلاس مربوط به دیتابیس
	
	public $result = array();  
	
	public function connect()
    { 
            $this->myconn = @mysqli_connect(HOST,DB_USERNAME,DB_PASSWORD);
			mysqli_set_charset($this->myconn,'utf8');
            if($this->myconn)
            {
                $seldb = @mysqli_select_db($this->myconn,DB_NAME);
                if($seldb)
                {
                    $this->con = true; 
                    return true; 
                } else
                {
                    return false; 
                }
            } else
            {
                return false; 
            }
        
    }
	 
	public function disconnect()
	{
		if($this->con)
		{
			if(@mysqli_close())
			{
				$this->con = false; 
				return true; 
			}
			else
			{
				return false; 
			}
		}
	}
	  
	private function tableExists($table)
    {
        $tablesInDb = @mysqli_query($this->myconn, 'SHOW TABLES FROM '.DB_NAME.' LIKE "'.$table.'"');
        if($tablesInDb)
        {
            if(@mysqli_num_rows($tablesInDb)==1)
            {
                return true; 
            }
            else
            { 
                return false; 
            }
        }
    }
	
	public function select($table, $rows = '*', $where = null,$limit = null , $order = null)
    {
        $q = 'SELECT '.$rows.' FROM '.$table;
        if($where != null)
            $q .= ' WHERE '.$where;
        if($order != null)
            $q .= ' ORDER BY '.$order;
        if($limit != null)
            $q .= ' LIMIT '.$limit;
        if($this->tableExists($table))
		{
			$query = @mysqli_query($this->myconn , $q);
			if($query)
			{
				$this->numResults = mysqli_num_rows($query);
				for($i = 0; $i < $this->numResults; $i++)
				{
					$r = mysqli_fetch_array($query);
					$key = array_keys($r); 
					for($x = 0; $x < count($key); $x++)
					{
						// Sanitizes keys so only alphavalues are allowed
						if(!is_int($key[$x]))
						{
							if(mysqli_num_rows($query) > 1)
								$this->result[$i][$key[$x]] = $r[$key[$x]];
							else if(mysqli_num_rows($query) < 1)
								$this->result = null; 
							else
								$this->result[$i][$key[$x]] = $r[$key[$x]]; 
						}
					}
				}            
				return true; 
			}
			else
			{
				return false; 
			}
		}
		else
		  return false; 
    }
	
	public function insert($table,$values)
    {
        if($this->tableExists($table))
        {
            $insert = 'INSERT INTO '.$table; 
            foreach($values as $key => $val)
            {
                if(is_string($val))
                    $values[$key] = '"'.$val.'"';
				
                    $rows[] = $key;
            }
            $rw = implode(',',$rows); 
            $values = implode(',',$values);
            $insert .= ' ('.$rw.')'; 
            $insert .= ' VALUES ('.$values.')';
            $ins = @mysqli_query($this->myconn , $insert);            
            if($ins)
            {
                return true; 
            }
            else
            {
                return false; 
            }
        }
    }
	
	public function delete($table,$where = null)
    {
        if($this->tableExists($table))
        {
            if($where == null)
            {
                $delete = 'DELETE '.$table; 
            }
            else
            {
                $delete = 'DELETE FROM '.$table.' WHERE '.$where; 
            }
            $del = @mysqli_query($this->myconn , $delete);

            if($del)
            {
                return true; 
            }
            else
            {
               return false; 
            }
        }
        else
        {
            return false; 
        }
    }
	
	public function update($table,$rows,$where)
    {
        if($this->tableExists($table))
        {
            // Parse the where values
            // even values (including 0) contain the where rows
            // odd values contain the clauses for the row 
            
            
            $update = 'UPDATE '.$table.' SET ';
            $keys = array_keys($rows); 
            for($i = 0; $i < count($rows); $i++)
			{
                if(is_string($rows[$keys[$i]]))
                {
                    $update .= $keys[$i].'="'.$rows[$keys[$i]].'"';
                }
                else
                {
                    $update .= $keys[$i].'='.$rows[$keys[$i]];
                }
                
                // Parse to add commas
                if($i != count($rows)-1)
                {
                    $update .= ','; 
                }
            }
            $update .= ' WHERE '.$where;
            $query = @mysqli_query($this->myconn,$update);
            if($query)
            {
                return true; 
            }
            else
            {
                return false; 
            }
        }
        else
        {
            return false; 
        }
    }
	  
	
}



?>