/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50505
Source Host           : 127.1.1.0:3306
Source Database       : jadval

Target Server Type    : MYSQL
Target Server Version : 50505
File Encoding         : 65001

Date: 2017-06-14 18:28:45
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for data
-- ----------------------------
DROP TABLE IF EXISTS `data`;
CREATE TABLE `data` (
  `DID` int(11) NOT NULL AUTO_INCREMENT,
  `dqrow` text COLLATE utf8_persian_ci,
  `dqcol` text COLLATE utf8_persian_ci,
  `dvalue` text COLLATE utf8_persian_ci,
  `JID` int(11) DEFAULT NULL,
  PRIMARY KEY (`DID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- ----------------------------
-- Table structure for data_jadval
-- ----------------------------
DROP TABLE IF EXISTS `data_jadval`;
CREATE TABLE `data_jadval` (
  `DID` int(11) NOT NULL AUTO_INCREMENT,
  `dqrow` longtext COLLATE utf8_persian_ci,
  `dqcol` longtext COLLATE utf8_persian_ci,
  `dvalue` longtext COLLATE utf8_persian_ci,
  `coin` int(11) DEFAULT NULL,
  `JID` int(11) DEFAULT NULL,
  PRIMARY KEY (`DID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- ----------------------------
-- Table structure for data_user
-- ----------------------------
DROP TABLE IF EXISTS `data_user`;
CREATE TABLE `data_user` (
  `DUID` int(11) NOT NULL AUTO_INCREMENT,
  `duvalue` longtext COLLATE utf8_persian_ci,
  `complete` int(1) DEFAULT '0',
  `UID` int(11) DEFAULT NULL,
  `JID` int(11) DEFAULT NULL,
  PRIMARY KEY (`DUID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- ----------------------------
-- Table structure for jadval
-- ----------------------------
DROP TABLE IF EXISTS `jadval`;
CREATE TABLE `jadval` (
  `JID` int(11) NOT NULL AUTO_INCREMENT,
  `jtitle` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `jrow` int(2) DEFAULT NULL,
  `jcol` int(2) DEFAULT NULL,
  `jdates` date DEFAULT NULL,
  `jdatee` date DEFAULT NULL,
  `jqshow` int(1) DEFAULT NULL,
  `jcoin` int(11) DEFAULT NULL,
  `jactive` int(1) DEFAULT '0',
  PRIMARY KEY (`JID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `UID` int(11) NOT NULL AUTO_INCREMENT,
  `uname` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `ufamily` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `uemail` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `upass` text COLLATE utf8_persian_ci,
  `type` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `ucoin` int(11) DEFAULT '0',
  PRIMARY KEY (`UID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;
